local addon = LibStub("AceAddon-3.0"):NewAddon("BurlexUID","AceConsole-3.0");
----------------------------------------------------------------------------------------------------
buidChar = buidChar or {};
addon.options = {name = "BurlexUID", type = "group", args = {}};

function addon:OnInitialize()
	local lang = GetLocale();
	if (lang == "ruRU" or lang == "zhCN" or lang == "zhTW") then
		local font = [[Interface\AddOns\BurlexUID\media\font-myriad.ttf]];
		BUID_FontOutline22:SetFont(font,22,"OUTLINE");
		BUID_FontOutline18:SetFont(font,18,"OUTLINE");
		BUID_FontOutline13:SetFont(font,13,"OUTLINE");
		BUID_FontOutline12:SetFont(font,12,"OUTLINE");
		BUID_FontOutline11:SetFont(font,11,"OUTLINE");
		BUID_FontOutline10:SetFont(font,10,"OUTLINE");
		BUID_FontOutline9:SetFont(font,9,"OUTLINE");
		BUID_FontOutline8:SetFont(font,8,"OUTLINE");
	end
	addon.options.args["reset"] = {
		type = "execute",
		name = "Reset Options",
		desc = "resets all options to default",
		func = function()
			if (InCombatLockdown()) then 
				addon:Print(ERR_NOT_IN_COMBAT);
			else
				buidChar = nil;
				ReloadUI();
			end
		end
	};
end
function addon:OnEnable()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("BurlexUID", addon.options, {"buid", "burlexuid"});
end
